Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 160712 Details for
Bug 250919
IPV6_PRIVACY=rfc3041 in /etc/sysconfig/networking/devices/ifcfg-eth0 does not take effect
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
Amends to ifup-ipv6 as suggested by Peter
ifup-ipv6.patch (text/plain), 1.76 KB, created by
Russell Odom
on 2007-08-05 15:11:05 UTC
(
hide
)
Description:
Amends to ifup-ipv6 as suggested by Peter
Filename:
MIME Type:
Creator:
Russell Odom
Created:
2007-08-05 15:11:05 UTC
Size:
1.76 KB
patch
obsolete
>diff -u ../network-scripts.orig/ifup-ipv6 ./ifup-ipv6 >--- ../network-scripts.orig/ifup-ipv6 2007-08-05 15:29:36.000000000 +0100 >+++ ./ifup-ipv6 2007-08-05 15:53:33.000000000 +0100 >@@ -87,6 +87,32 @@ > exit 1 > fi > >+# This script can also be called with args "pre" or "post" to perform setup either before or after the main setup >+ACTION=$2 >+echo "ACTION = $ACTION" ###DEBUG >+if [ ! -z $ACTION ]; then >+ echo "Doing it!" ###DEBUG >+ case "$ACTION" in >+ pre) >+ # Enable IPv6 RFC3041 privacy extensions if desired >+ if [ "$IPV6_PRIVACY" = "rfc3041" ]; then >+ ipv6_exec_sysctl -w net.ipv6.conf.$DEVICE.use_tempaddr=2 >/dev/null 2>&1 >+ if [ $? -ne 0 ]; then >+ echo $"Cannot enable IPv6 privacy method '$IPV6_PRIVACY', not supported by kernel" >+ fi >+ fi >+ exit 0 >+ ;; >+ post) >+ # Nothing here yet >+ exit 0 >+ ;; >+ esac >+ >+ echo $"Action '$ACTION' not supported - should be 'pre', 'post', or nothing" >+ exit 1 >+fi >+ > # Setup IPv6 address on specified interface > if [ -n "$IPV6ADDR" ]; then > ipv6_add_addr_on_device $DEVICE $IPV6ADDR || exit 1 >@@ -144,14 +170,6 @@ > done > fi > >-# Enable IPv6 RFC3041 privacy extensions if desired >-if [ "$IPV6_PRIVACY" = "rfc3041" ]; then >- ipv6_exec_sysctl -w net.ipv6.conf.$DEVICE.use_tempaddr=2 >/dev/null 2>&1 >- if [ $? -ne 0 ]; then >- echo $"Cannot enable IPv6 privacy method '$IPV6_PRIVACY', not supported by kernel" >- fi >-fi >- > # Setup default IPv6 route, check are done by function > if [ -n "$IPV6_DEFAULTDEV" -o -n "$IPV6_DEFAULTGW" ]; then > ipv6_set_default_route "$IPV6_DEFAULTGW" "$IPV6_DEFAULTDEV" "$DEVICE"
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 250919
:
160712
|
160714
|
160799
|
160800
|
161110
|
161111
|
495410